## kdeconnect 25.08.3+p24.04+vunstable+git20251206.0710

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Release Service Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})
@@ -67,9 +67,15 @@
 if(UNIX AND NOT APPLE)
     option(WITH_X11 "Build with X11 support" ON)
     option(WITH_PULSEAUDIO "Build with Pulseaudio support" ON)
+
+    option(INSTALL_UFW_APPLICATION_RULE "Install application rule for ufw (firewall)" ON)
+    add_feature_info("INSTALL_UFW_APPLICATION_RULE"
+                 INSTALL_UFW_APPLICATION_RULE
+                 "Install application rule for ufw (firewall)")
 else()
     set(WITH_X11 OFF)
     set(WITH_PULSEAUDIO OFF)
+    set(INSTALL_UFW_APPLICATION_RULE OFF)
 endif()
 
 if(UNIX AND NOT APPLE)
@@ -102,7 +108,7 @@
 endif()
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n DBusAddons IconThemes Notifications
-    KIO ColorScheme Service Solid Kirigami People WindowSystem GuiAddons Crash ItemModels)
+    KIO ColorScheme Service Solid Kirigami People WindowSystem GuiAddons Crash ItemModels WidgetsAddons)
 
 if (WIN32)
     get_filename_component(WINDOWS_KITS_DIR
