=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 add_subdirectory(remotesystemvolume)
 add_subdirectory(clipboard)
 add_subdirectory(runcommand)
-add_subdirectory(digitizer)
 
 
 if(NOT WIN32)
