## kdeconnect 25.11.80+git20251121.7090b106

=== debian/changelog ===
kdeconnect (25.11.80+git20251121.7090b106-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.11.80+git20251121.7090b106).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 22 Nov 2025 23:31:54 +0100
