=== debian/changelog ===
kdeconnect (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:03:12 +0000

kdeconnect (25.11.80-0ubuntu2) resolute; urgency=medium

  * Backport upstream_check-ID-does-not-change-during-handshake.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 20 Nov 2025 12:47:22 +0000
