## kdeconnect 25.12.0

=== debian/changelog ===
kdeconnect (25.12.0-0zneon+24.04+noble+release+build49) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 16:02:48 +0000

kdeconnect (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:41:04 +1000
