=== debian/changelog ===
kdeconnect (25.12.1-0zneon+24.04+noble+release+build51) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 10:06:42 +0000

kdeconnect (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:32:06 +1000
