## kdeconnect 25.12.1+p24.04+vstable+git20260129.0146

=== debian/changelog ===
kdeconnect (25.12.1+p24.04+vstable+git20260129.0146-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:46:48 +0000
