=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: kdeconnect
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               dbus-x11 <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16.0~),
-               dbus-daemon <!nocheck>,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                kio6 <!nocheck>,
                kirigami-addons-dev (>= 0.11~),
+               kpeople-vcard,
                libdbus-1-dev,
                libfakekey-dev,
-               libkf6colorscheme-dev (>= 6.0.0~),
+               libkf6configwidgets-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
                libkf6dbusaddons-dev (>= 6.0.0~),
+               libkf6doctools-dev (>= 6.0.0~),
                libkf6guiaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6iconthemes-dev (>= 6.0.0~),
                libkf6itemmodels-dev (>= 6.0.0~),
+               libkf6kcmutils-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
                libkf6modemmanagerqt-dev (>= 6.0.0~),
                libkf6notifications-dev (>= 6.0.0~),
@@ -34,6 +38,7 @@
                libkf6statusnotifieritem-dev (>= 6.0.0~),
                libkf6windowsystem-dev (>= 6.0.0~),
                libkirigami-dev (>= 6.0.0~),
+               libqca-qt6-dev,
                libssl-dev,
                libwayland-bin,
                libwayland-dev (>= 1.9~),
@@ -42,8 +47,10 @@
                libxtst-dev,
                pkgconf,
                plasma-desktoptheme,
+               plasma-wayland-protocols,
                qml6-module-org-kde-kquickcontrolsaddons,
                qt6-base-dev (>= 6.7.0~),
+               qt6-base-dev-tools (>= 6.10.0~),
                qt6-base-private-dev,
                qt6-connectivity-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
@@ -54,14 +61,17 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://kdeconnect.kde.org
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeconnect.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeconnect
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
 
 Package: kdeconnect
 Architecture: any
 Depends: kirigami-addons-data,
          libqca-qt6-plugins,
+         plasma-desktoptheme,
+         qml6-module-org-kde-kdeconnect,
          sshfs (>= 3),
          ${misc:Depends},
          ${qml6:Depends},
@@ -76,11 +86,9 @@
 
 Package: kdeconnect-libs
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
-Breaks: kdeconnect (<< 24.08.3),
-Replaces: kdeconnect (<< 24.08.3),
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Breaks: kdeconnect (<< 25.04.2-1~),
+Replaces: kdeconnect (<< 25.04.2-1~),
 Description: KDE Connect internal libs
  Tool to integrate your smartphone, tablet, and desktop devices.
  Remote-control, share files, synchronize notifications, and more!
@@ -91,10 +99,7 @@
 
 Package: nautilus-kdeconnect
 Architecture: all
-Depends: kdeconnect,
-         nautilus,
-         python3-nautilus,
-         ${misc:Depends},
+Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends},
 Enhances: nautilus,
 Breaks: kdeconnect (<< 20.12),
 Replaces: kdeconnect (<< 20.12),
@@ -104,10 +109,7 @@
 
 Package: qml6-module-org-kde-kdeconnect
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
-Recommends: kdeconnect,
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module wrapping KDE Connect functionality
  Tool to integrate your smartphone, tablet, and desktop devices.
  Remote-control, share files, synchronize notifications, and more!
